Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.jobcontrol.action
Class JobAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--com.developmentontheedge.jobcontrol.action.JobAction

public class JobAction
extends AbstractAction

Factory for creating of special Job Control Actions

- STOP
- PAUSE
- TERMINATE

Field Summary
`final static String` | `ACTION_PAUSE` Pause action key
`final static String` | `ACTION_START` Start action key
`final static String` | `ACTION_TERMINATE` Terminate action key

Method Summary
`void` | `actionPerformed(ActionEvent evt)` Overridden method for translation action events to the specified listeners
`void` | `addActionListener(ActionListener l)` Adds the specified action listener to receive action event .
`static JobAction` | `createPauseAction(ActionListener listener)` Creates "Pause" action
`static JobAction` | `createStartAction(ActionListener listener)` Creates "Start" action
`static JobAction` | `createTerminateAction(ActionListener listener)` Creates "Terminate" action

Methods inherited from class javax.swing.AbstractAction
`getValue, putValue, isEnabled, setEnabled, getKeys, addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_PAUSE

    public final static String ACTION_PAUSE

  Pause action key

### ACTION_START

    public final static String ACTION_START

  Start action key

### ACTION_TERMINATE

    public final static String ACTION_TERMINATE

  Terminate action key

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent evt)

  Overridden method for translation action events to the specified listeners
  Parameters:
    evt - ActionEvent

### addActionListener

    public void addActionListener(ActionListener l)

  Adds the specified action listener to receive action event .

### createPauseAction

    public static JobAction createPauseAction(ActionListener listener)

  Creates "Pause" action
  Parameters:
    listener - listener of this action
  Returns: "Pause" action

### createStartAction

    public static JobAction createStartAction(ActionListener listener)

  Creates "Start" action
  Parameters:
    listener - listener of this action
  Returns: "Start" action

### createTerminateAction

    public static JobAction createTerminateAction(ActionListener listener)

  Creates "Terminate" action
  Parameters:
    listener - listener of this action
  Returns: "Terminate" action

Association Links

to Class java.lang.String

  Pause action key

to Class java.lang.String

  Terminate action key

to Class java.lang.String

  Start action key

to Class org.apache.log4j.Category

to Class java.util.Vector

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM